Your message dated Tue, 12 Sep 2006 19:17:13 -0700
with message-id <[EMAIL PROTECTED]>
and subject line Bug#384920: fixed in procps 1:3.2.7-3
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: procps
Version: 1:3.2.7-2
Severity: minor
Tags: patch

Hi,

the attached patch changes the procps init.d script(s) to use lsb
logging functions.

Regards,
David
diff -ur ./procps-3.2.7.orig/debian/control ./procps-3.2.7/debian/control
--- ./procps-3.2.7.orig/debian/control  2006-08-28 00:06:34.000000000 +0200
+++ ./procps-3.2.7/debian/control       2006-08-28 00:11:34.000000000 +0200
@@ -7,7 +7,7 @@
 
 Package: procps
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, lsb-base (>= 3.0-10)
 Provides: watch
 Conflicts: watch, libproc-dev (<< 1:1.2.6-2), w-bassman (<< 1.0-3), 
procps-nonfree, pgrep (<< 3.3-5)
 Replaces: watch, bsdutils (<< 2.9x-1)
diff -ur ./procps-3.2.7.orig/debian/procps.sh ./procps-3.2.7/debian/procps.sh
--- ./procps-3.2.7.orig/debian/procps.sh        2006-08-28 00:06:34.000000000 
+0200
+++ ./procps-3.2.7/debian/procps.sh     2006-08-28 00:09:55.000000000 +0200
@@ -16,6 +16,7 @@
 # Closes #52839 for the boot-floppy people
 [ -r /etc/default/rcS ] || exit 0
 . /etc/default/rcS
+. /lib/lsb/init-functions
 
 PATH=/sbin:$PATH
 which sysctl > /dev/null || exit 0
@@ -27,18 +28,9 @@
                then
                        exit 0
                fi
-               if [ "$VERBOSE" = "yes" ]
-               then
-                      quiet=""
-                       echo "Start setting kernel variables via /proc..."
-               else
-                      quiet="-q"
-               fi
-               sysctl $quiet -p
-               if [ "$VERBOSE" = "yes" ]
-               then
-                       echo "Done setting kernel variables via /proc."
-               fi
+              log_action_begin_msg "Setting kernel variables"
+               sysctl -q -p
+              log_action_end_msg $?
                ;;
        stop)
                ;;
@@ -47,3 +39,4 @@
                exit 3
                ;;
 esac
+exit 0

--- End Message ---
--- Begin Message ---
Source: procps
Source-Version: 1:3.2.7-3

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive:

libproc-dev_3.2.7-3_i386.deb
  to pool/main/p/procps/libproc-dev_3.2.7-3_i386.deb
procps_3.2.7-3.diff.gz
  to pool/main/p/procps/procps_3.2.7-3.diff.gz
procps_3.2.7-3.dsc
  to pool/main/p/procps/procps_3.2.7-3.dsc
procps_3.2.7-3_i386.deb
  to pool/main/p/procps/procps_3.2.7-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [EMAIL PROTECTED],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <[EMAIL PROTECTED]> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [EMAIL PROTECTED])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 13 Sep 2006 11:27:56 +1000
Source: procps
Binary: procps libproc-dev
Architecture: source i386
Version: 1:3.2.7-3
Distribution: unstable
Urgency: low
Maintainer: Craig Small <[EMAIL PROTECTED]>
Changed-By: Craig Small <[EMAIL PROTECTED]>
Description: 
 libproc-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 384920 386341 386637
Changes: 
 procps (1:3.2.7-3) unstable; urgency=low
 .
   * Changed init script dependencies Closes: #386637, #386341
   * init script uses lsb logging Closes: #384920
Files: 
 09ba6c2f3a42b930d69b7472fadeb17f 612 admin required procps_3.2.7-3.dsc
 145c7886a468d65093f404458e649d80 36111 admin required procps_3.2.7-3.diff.gz
 3daa7d6ca3b439bc36f47bde1cd859c2 221686 admin required procps_3.2.7-3_i386.deb
 4381940178ca6f3e608c7d6c6df0df93 56816 libdevel optional 
libproc-dev_3.2.7-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFFB2Wvx2zlrBLK36URAlLvAKCPppSpDlF2YK/SHYfX9i8kRgyJNgCcC19Q
a1+tjVEnYTnF0ZUD6bzeoVM=
=y0ae
-----END PGP SIGNATURE-----


--- End Message ---

Reply via email to